## nvchecker 2.5

=== docs/requirements.txt ===
toml
structlog
appdirs
tornado>=6
sphinx>=3.2
# <5 has strange bottom margins for p, and no list indicators
sphinx-rtd-theme>=0.5

## nvchecker 1.3

=== debian/changelog ===
nvchecker (1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #919748)

 -- Afif Elghraoui <afif@debian.org>  Sat, 19 Jan 2019 01:37:25 -0500

=== debian/control ===
Source: nvchecker
Section: utils
Priority: optional
Maintainer: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>=9),
	dh-python,
	python3-all,
	python3-setuptools,
	python3-structlog,
	python3-tornado,
	python3-pycurl,
	python3-pytest <!nocheck>,
	python3-pytest-asyncio <!nocheck>,
	python3-pytest-xdist <!nocheck>,
	python3-flaky <!nocheck>,
Standards-Version: 4.3.0
Homepage: https://github.com/lilydjwg/nvchecker
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debian/nvchecker
Vcs-Git: https://salsa.debian.org/debian/nvchecker.git

Package: nvchecker
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
Description: new-version checker for software releases
 nvchecker (short for new version checker) is for checking if a new
 version of some software has been released.

## nvchecker 1.4.3

=== debian/changelog ===
nvchecker (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Afif Elghraoui <afif@debian.org>  Sun, 31 Mar 2019 01:59:48 -0400

nvchecker (1.3-2) unstable; urgency=medium

  * Disable running the test suite during package build
    due to lack of network access (Closes: #921800)
  * Set up autopkgtest

 -- Afif Elghraoui <afif@debian.org>  Fri, 08 Feb 2019 21:45:38 -0500

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,8 @@
 	python3-structlog,
 	python3-tornado,
 	python3-pycurl,
-	python3-pytest <!nocheck>,
-	python3-pytest-asyncio <!nocheck>,
-	python3-pytest-xdist <!nocheck>,
-	python3-flaky <!nocheck>,
 Standards-Version: 4.3.0
 Homepage: https://github.com/lilydjwg/nvchecker
-Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/debian/nvchecker
 Vcs-Git: https://salsa.debian.org/debian/nvchecker.git

=== debian/tests/control ===
Test-Command:
 cp -a setup.cfg tests ${AUTOPKGTEST_TMP}
 && cd ${AUTOPKGTEST_TMP}
 && python3 -m pytest -v tests
Depends:
 @,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-flaky,

## nvchecker 2.5

=== debian/changelog ===
nvchecker (2.5-1) unstable; urgency=medium

  * New upstream version 2.5 (Closes: #931345)
  * New dependencies: toml and appdir
  * Sample configuration now uses toml
  * debian/compat 10
  * Use documentation page as homepage
  * debian/tests/control: Add pytest-httpbin

 -- Afif Elghraoui <afif@debian.org>  Sun, 03 Oct 2021 15:54:04 -0700

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Afif Elghraoui <afif@debian.org>
 Build-Depends:
-	debhelper (>=9),
+	debhelper (>=10),
 	dh-python,
 	python3-all,
 	python3-setuptools,
+	python3-toml,
+	python3-appdirs,
 	python3-structlog,
 	python3-tornado,
 	python3-pycurl,
 Standards-Version: 4.3.0
-Homepage: https://github.com/lilydjwg/nvchecker
+Homepage: https://nvchecker.readthedocs.io/en/latest/
 Vcs-Browser: https://salsa.debian.org/debian/nvchecker
 Vcs-Git: https://salsa.debian.org/debian/nvchecker.git

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

# tests require network access, so always disable them during build
override_dh_auto_test: ;

## nvchecker 2.15.1

=== debian/changelog ===
nvchecker (2.15.1-0.1) unstable; urgency=medium

  * Non-maintainer Upload.
  * New upstream version 2.15.1
  * Replace python3-appdirs with python3-platformdirs (Closes: #1067974)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 20:13:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Afif Elghraoui <afif@debian.org>
 Build-Depends:
-	debhelper (>=10),
-	dh-python,
+	debhelper-compat (=13),
+	dh-sequence-python3,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-setuptools,
 	python3-toml,
-	python3-appdirs,
+	python3-platformdirs,
 	python3-structlog,
 	python3-tornado,
 	python3-pycurl,
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://nvchecker.readthedocs.io/en/latest/
 Vcs-Browser: https://salsa.debian.org/debian/nvchecker

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,6 @@
  @,
  python3-pytest,
  python3-pytest-asyncio,
+ python3-pytest-httpbin,
  python3-pytest-xdist,
  python3-flaky,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nvchecker-$1.tar.gz%" \
    https://github.com/lilydjwg/nvchecker/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## nvchecker 2.17

=== debian/changelog ===
nvchecker (2.17-1) unstable; urgency=medium

  * Non-maintainer Upload.
  * New upstream version 2.17 (Closes: #1083513)
  * Conflicts & Replaces python3-nvchecker (Closes: #1082628)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 00:12:11 +0200

=== debian/control ===

Source: nvchecker
Section: utils
Priority: optional
Maintainer: Afif Elghraoui <afif@debian.org>
Build-Depends:
 debhelper-compat (=13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-platformdirs,
 python3-pycurl,
 python3-setuptools,
 python3-structlog,
 python3-tornado,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://nvchecker.readthedocs.io/en/latest/
Vcs-Browser: https://salsa.debian.org/debian/nvchecker
Vcs-Git: https://salsa.debian.org/debian/nvchecker.git
X-Style: black

Package: nvchecker
Architecture: all
Depends:
 python3-lxml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts: python3-nvchecker
Replaces: python3-nvchecker
Description: new-version checker for software releases
 nvchecker (short for new version checker) is for checking if a new
 version of some software has been released.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

# tests require network access, so always disable them during build
override_dh_auto_test: ;

=== debian/tests/control ===
Restrictions: needs-internet, allow-stderr
Test-Command:
 cp -a setup.cfg tests ${AUTOPKGTEST_TMP}
 && cd ${AUTOPKGTEST_TMP}
 && python3 -m pytest -v tests -k 'not test_android_package and not test_android_addon and not test_launchpad and not test_ubuntupkg_suite_with_paging'
Depends:
 git,
 jq,
 python3-flaky,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-httpbin,
 python3-pytest-xdist,
 @,

## nvchecker 2.19

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile man

man: $(BUILDDIR)/man/nvchecker.1

$(BUILDDIR)/man/nvchecker.1: usage.rst
	mkdir -p $(BUILDDIR)/man
	./myrst2man.py $< > $@

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%:
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
structlog
platformdirs
tornado>=6
sphinx>=3.2
# <5 has strange bottom margins for p, and no list indicators
sphinx-rtd-theme>=0.5

=== debian/changelog ===
nvchecker (2.19-1) unstable; urgency=medium

  [ Tianyu Chen ]
  * Build binary packages python3-nvchecker and python-nvchecker-doc
  * Add debian/gbp.conf
  * Add debian/salsa-ci.yml
  * Add debian/upstream/metadata

  [ Afif Elghraoui ]
  * New upstream version 2.19
  * autopkgtests:
    - use the appropriate provider of the pytest flaky decorator
    - Patched to fix expected output due to a version update of
      package being checked in test.

 -- Tianyu Chen <billchenchina2001@gmail.com>  Mon, 22 Sep 2025 00:08:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 Source: nvchecker
 Section: utils
 Priority: optional
@@ -13,6 +12,8 @@
  python3-setuptools,
  python3-structlog,
  python3-tornado,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://nvchecker.readthedocs.io/en/latest/
@@ -23,11 +24,46 @@
 Package: nvchecker
 Architecture: all
 Depends:
+ python3-nvchecker (= ${binary:Version}),
  python3-lxml,
  ${misc:Depends},
  ${python3:Depends},
-Conflicts: python3-nvchecker
-Replaces: python3-nvchecker
+Breaks:
+ python3-nvchecker (<< 2.18),
+Replaces:
+ python3-nvchecker (<< 2.18),
 Description: new-version checker for software releases
  nvchecker (short for new version checker) is for checking if a new
  version of some software has been released.
+
+Package: python3-nvchecker
+Architecture: all
+Section: python
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-zstandard,
+Suggests:
+ python-nvchecker-doc,
+Breaks:
+ nvchecker (<< 2.18),
+Replaces:
+ nvchecker (<< 2.18),
+Description: new-version checker for software releases (Python 3)
+ nvchecker (short for new version checker) is for checking if a new
+ version of some software has been released.
+ .
+ This package contains the Python 3 module.
+
+Package: python-nvchecker-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: new-version checker for software releases (documentation)
+ nvchecker (short for new version checker) is for checking if a new
+ version of some software has been released.
+ .
+ This package contains the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nvchecker
export LC_ALL=C.UTF-8

MAN_BUILD_DIR := docs/_build/man

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) -C docs html man
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvcmp.1
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvtake.1
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvchecker-ini2toml.1
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvchecker-notify.1

execute_after_dh_auto_clean:
	rm -rf docs/_build

execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/debian/nvchecker/usr
	mv $(CURDIR)/debian/python3-nvchecker/usr/bin $(CURDIR)/debian/nvchecker/usr/

# tests require network access, so always disable them during build
override_dh_auto_test: ;

=== debian/tests/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Depends:
  git,
  jq,
- python3-flaky,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-httpbin,
  python3-pytest-xdist,
+ python3-pytest-rerunfailures,
  @,
